#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <GetADScable3C.h>
#include <SetCentiS.h>
#include <SetLCD5Char.h>
#include <SetLCD1Char.h>

int main(void)
{
    X1RCU_Init();
    unsigned int var0 = 0;
    unsigned int var1 = 0;
    unsigned int var2 = 0;
    SetLCDBack(1);
    while (1)
    {
        GetADScable3C(_SCABLEAD3C_1_, 1);
        SetCentiS(1);
        var0 = GetADScable3C(_SCABLEAD3C_1_, 1);
        GetADScable3C(_SCABLEAD3C_1_, 0);
        SetCentiS(1);
        var1 = GetADScable3C(_SCABLEAD3C_1_, 0);
        var2=var0-var1;
        SetLCD5Char(0, 0, var0);
        SetLCD1Char(40, 0, '-');
        SetLCD5Char(48, 0, var1);
        SetLCD1Char(88, 0, '=');
        SetLCD5Char(0, 2, var2);
    }
    return 1;
}

